
<script setup lang="ts">
import QrScanner from 'qr-scanner'
import { onMounted } from 'vue'

onMounted(() => {
  const video = document.getElementById('video') as HTMLVideoElement
  const scanner = new QrScanner(video, (result: any) => console.log(result))
  scanner.start()
})
</script>

<template>
    <div class="h-full flex flex-col text-center justify-between px-3 max-w-lg mx-auto lg:max-h-96">
        <div class="text-2xl   font-bold mb-1   "> Mode QR Code</div>
        <div> Scannez un QR code de ticket <br> pour afficher les informations</div>
        <div class="flex flex-col justify-between mb-3">

        <div>
            <video id="video"></video>
        </div>

        <v-btn color="primary" size="x-large" variant="flat" class="mb-2">
            QR Code
        </v-btn>

        <div class="flex justify-between">
            <v-btn color="secondary" size="x-large" variant="flat" class="mb-2">
                Désactivation
            </v-btn>
            <v-btn color="secondary" size="x-large" variant="flat" class="mb-2">
                Informations
            </v-btn>
        </div>

        <v-btn color="secondary" size="x-large" variant="flat" class="mb-2">
            Numéro de série
        </v-btn>
    </div>
    </div>
</template>
